Subject: Re: Definition of "private" (Re: #1021: USEFOR 3.1.5 Newsgroups - suggested texts)

From: Henry Spencer <[email-masked]>
Date: Mon, 4 Jul 2005 10:49:14 -0400 (EDT)

On Wed, 29 Jun 2005, Seth Breidbart wrote:
> It has _always_ been the case that the choice of which groups to carry
> is a local option, made on whatever basis (technical, financial,
> political, religious, . . .) the local admin decides.  Even if the
> syntax _permits_ such an article, all that means is that the server
> shouldn't fall over when it sees it; it's allowed to drop it on the
> floor for any or no reason.

There is a difference, however, between discarding groups because the
*local admin* wants them discarded, and discarding them because the
*software* is unable to cope with them.  The former is an issue of local
policy; the latter is an interoperability problem.  It is definitely
within our scope to put constraints on formats and protocols to avoid
known interoperability problems.

                                                          Henry Spencer
                                                       [email-masked]